/* ==========================================================================================

	HEADER FILE:	GlobalDefs.h

	COPYRIGHT:		(c) 1993-1994 Apple Computer Inc.
						All rights reserved.

	PURPOSE:		This file contains constant and type definitions which are global
					to the HPXL driver.
						
	HISTORY:		Date			By			Description
					-----			---		    --------------------------------------
					1/20/92			Harita		Initial release
			 	   12/20/93			dmh			Sync'd up for GX 1.0b3.
				   	8/28/94			dmh			Sync'd up for GX 1.0.1.
					6/14/96			cn			Updated to support Universal Interfaces 2.1.

========================================================================================== */

/* ==================================== CONSTANTS ==================================== */
#define		kMaxBufferSize		1024
#define		kTempBufferSize		 512
/* ======================================= TYPES ======================================= */

/* SpecDrvrGlobals - structure containing the HPXL driver's globals.  */

typedef struct
{
	gxVectorImageDataHdl 		hImageData;				// Vector IE specific data handle
	Fixed						penWidth;
	short						bufferSize;
	char						buffer[kMaxBufferSize];
	char						tempBuffer[kTempBufferSize];
}  SpecDrvrGlobals,
	*SpecDrvrGlobalsPtr,
	**SpecDrvrGlobalsHdl;

	 
